Bug 1004511 - gvfs-mtp won't connect to Android phone
gvfs-mtp won't connect to Android phone
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Holy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 15:36 EDT by Miro Hrončok
Modified: 2015-06-29 08:19 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:19:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-09-04 15:36:24 EDT
Description of problem:
When I connect my Android 4.1 phone via USB cable, it's icon flashes in file manager's devices list, but doesn't stay there.

Version-Release number of selected component (if applicable):
1.16.3-2.fc19

How reproducible:
On my own machine, always. However, I'm not able to reproduce in VirtaulBox :(

Steps to Reproduce:
1. Install gvfs-mtp
2. Connect Android 4.1 phone via USB cable

Actual results:
http://www.youtube.com/watch?v=zyivTsoAkBU - pay attention at 00:05

Expected results:
Android phone stays in devices and let me see it's files.

Additional info:
This might be something more low level, feel free to reassign to other component.

Output of udevadm monitor:

Working VirtualBox plug-in: http://ur1.ca/fdmq1
Working VirtualBox unplug: http://ur1.ca/fdmq3

Physical machine plug-in: http://ur1.ca/fdmov
Physical machine unplug: http://ur1.ca/fdmp0

It's not a hardware bug, as VirtualBox uses the very same cable, plug, everything.

I'm currently trying to update the virtual machine a bit and try it again, but it's a pain as there's not enough space to store all packages at once.

However, gvfs-mtp adn systemd are in the same versions.
Comment 1 Miro Hrončok 2013-09-04 15:56:18 EDT
After full upgrade of both system it still only works on one of them :(

I will provide any info needed or accept any advice to debug this.
Comment 2 Miro Hrončok 2013-09-13 08:07:12 EDT
Creepy fact: It works with some USB plugs (mostly USB3, although the cable is USB2).
Comment 3 Egor Kuropatkin 2013-09-24 18:11:57 EDT
More strange facts: for me it's only working when connected directly to the USB port.
When connected through the USB hub, it's not working. Pretty sure that's not the power issue, as my USB hub has an external power supply.
Comment 4 Miro Hrončok 2013-11-04 05:44:53 EST
The same behavior on Fedora 20.
Comment 5 Fedora End Of Life 2015-01-09 14:43:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Ondrej Holy 2015-01-22 04:22:19 EST
Please verify that /usr/libexec/gvfsd-mtp doesn't crash, when you connect it (that would explain the flashes icon).

Also I suppose "gvfs-mount -l" doesn't print you anything useful about mtp if it disappears, does it?

You can try to mount the device manually and provide debug output:
1/ Use "lsusb" to find the device uri, e.g.:
$ lsusb | grep Huawei
Bus 002 Device 005: ID 12d1:1051 Huawei Technologies Co., Ltd. 
2/ Try to run the deamon manually with debug output (create the uri from the previous step):
GVFS_DEBUG=1 /usr/libexec/gvfsd-mtp host=[usb:002,005]
Comment 7 Ondrej Holy 2015-01-22 04:23:55 EST
(Maybe you could try fresh install instead of upgrade to avoid some wrong system configuration.)
Comment 8 Kit Gerrits 2015-03-10 19:14:48 EDT
This worked for me:
https://ask.fedoraproject.org/en/question/38871/mounting-moto-g-android-as-mtp-device/

/var/log/messages:
[ 5241.882078] usb 2-1.4: New USB device found, idVendor=05c6, idProduct=6764
[ 5241.882088] usb 2-1.4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 5241.882093] usb 2-1.4: Product: A0001
[ 5241.882098] usb 2-1.4: Manufacturer: OnePlus
[ 5241.882102] usb 2-1.4: SerialNumber: d81fe7df

udev file:
[kgerrits@kgerrits ~]$ sudo cat /etc/udev/rules.d/51-android.rules
# Oneplus One
# idVendor=05c6, idProduct=6764
SUBSYSTEM=="usb", ATTRS{idVendor}=="05c6", MODE="0660", GROUP="plugdev" 
ATTR{idVendor}=="05c6", ATTR{idProduct}=="6764", SYMLINK+="libmtp-%k", ENV{ID_MTP_DEVICE}="1", ENV{ID_MEDIA_PLAYER}="1"

[kgerrits@kgerrits ~]$ sudo udevadm control --reload
Comment 9 Ondrej Holy 2015-03-11 05:44:03 EDT
Yea, this is good workaround, but it should be part of libmtp. There are already upstream request for Oneplus One:
http://sourceforge.net/p/libmtp/bugs/search/?q=oneplus

Unfortunately libmtp upstream seems inactive since august 2014 :-(

But I don't think this is same problem as was reported by Miro Hrončok...
Comment 10 Aleksandar Kostadinov 2015-03-21 13:29:20 EDT
Just FYI it works for me on Samsung S3 neo.
Comment 11 Fedora End Of Life 2015-05-29 05:21:55 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-06-29 08:19:44 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.